<%@ page language="C#" autoeventwireup="true" inherits="PartConfig_Setting, App_Web_o7zimql7" validaterequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>部件属性 - 设置</title>
    <base target="_self"/>
    <link rel="stylesheet" href="../Style/Common.css" />
    <link rel="stylesheet" href="../Style/Dialog.css" />

    <script type="text/javascript" src="../Script/Common.js"></script>
    <script type="text/javascript" >
var SiteName;
function Page_Load()
    {
	SiteName = Common.GetQueryString('sitename');

	var StyleTab = $('StyleTab');
	var BindTab = $('BindTab');
	var query = location.search;
	StyleTab.href = 'Style.aspx' + query;
	BindTab.href = 'BindColumn.aspx' + query;
    }
function btnConfirm_Click()
    {
	if( $('selectTextAreaID') != null ){
	    var contorlId = $('selectTextAreaID').value;
	    if( contorlId != "" ){
	        var strhtml = $( contorlId ).value;
	        $('HtmlText').value = escape(strhtml);
	        $(contorlId).value = "";
	    }
	}
    }
function btnPath_Click( obj )
    {
	var url = new UrlText( '../CommonUI/SelectFile.aspx', ['SiteName', SiteName], 'uni' );
	var ret = Common.ShowDialog( 1, url.Text, null, {width:420, height:480} );
	if( ret ){
//	    alert('select file '+ret );
	    var obj = event.srcElement.previousSibling;
	    if( obj ) obj.value = ret;
	}
    }
    </script>
</head>
<body><form id="form1" runat="server">

    <asp:Literal ID="ltrScript" runat="server"></asp:Literal>
    
    <%-- 顶部标题区 --%>
    <div class="TopArea">
        <h1>部件属性
            <asp:Label ID="lbPartName" runat="server" Text="[]" CssClass="Notes" />
        </h1>
        <div class="HeadLogo"></div>
    </div>

    <%-- 中部内容区 --%>
    <div id="ContentArea" runat="server" class="ContentArea" ></div>
    
    <%-- 底部按钮区 --%>
    <div class="BottomArea">
        <span class="LeftBlock">
            <asp:Label ID="lbResult" runat="server" ForeColor="Red"></asp:Label>
        </span>
        <span class="RightBlock">
            <asp:Button ID="btnConfirm" runat="server" Text="确定" class="Button" OnClientClick="btnConfirm_Click();" OnClick="btnConfirm_Click" />
            <input id="btnCancel" type="button" value="取消" class="Button" onclick="window.close();" />
        </span>
    </div>
    
    <%-- 顶部选项卡  放到后面，防止开始时获得焦点 --%>
    <div class="TabArea" style="left:221px; width:270px;">
        <div id="ConfigTab" class="ActiveTab"><span>设置</span></div>
        <a id="StyleTab" class="NormalTab" href="#" ><span>样式</span></a>
        <a id="BindTab" class="NormalTab" href="#" ><span>内容绑定</span></a>
    </div>
    
    <asp:HiddenField ID="hfMode" runat="server" />
    <input id="selectTextAreaID" type="hidden"  runat="server"/>
    <input id="HtmlText" type="hidden"  runat="server"/>
    
</form>
<script type="text/javascript" language="javascript">
try{ Page_Init(); }catch(ex){;}
try{ Page_Resize(); window.onresize=Page_Resize; }catch(ex){;}
try{ Page_Load(); }catch(ex){;}
</script>
</body>
</html>